Package org.apache.sling.feature.cpconverter.vltpkg

## Class BaseVaultPackageScanner

- java.lang.Object
- - org.apache.sling.feature.cpconverter.vltpkg.BaseVaultPackageScanner

Direct Known Subclasses:
  `ContentPackage2FeatureModelConverter`, `RecollectorVaultPackageScanner`

    public abstract class BaseVaultPackageScanner
    extends Object

### Field Summary

Fields
`protected org.slf4j.Logger` `logger`
`protected org.apache.jackrabbit.vault.packaging.PackageManager` `packageManager`
`protected boolean` `strictValidation`

### Constructor Summary

Constructors
`BaseVaultPackageScanner​(boolean strictValidation)`
`BaseVaultPackageScanner​(@NotNull org.apache.jackrabbit.vault.packaging.PackageManager packageManager, boolean strictValidation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addCdnPattern​(@NotNull Pattern cndPattern)`
`protected void` `onDirectory​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive, @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry)`
`protected void` `onFile​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive, @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry, String runMode)`
`@NotNull org.apache.jackrabbit.vault.packaging.VaultPackage` `open​(@NotNull File vaultPackage)`
`void` `traverse​(@NotNull File vaultPackageFile, boolean closeOnTraversed, String runMode)`
`void` `traverse​(@NotNull org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage, String runMode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected final org.slf4j.Logger logger

#### packageManager

    protected final org.apache.jackrabbit.vault.packaging.PackageManager packageManager

#### strictValidation

    protected final boolean strictValidation

### Constructor Detail

#### BaseVaultPackageScanner

    public BaseVaultPackageScanner​(boolean strictValidation)

#### BaseVaultPackageScanner

    public BaseVaultPackageScanner​(@NotNull
                                   @NotNull org.apache.jackrabbit.vault.packaging.PackageManager packageManager,
                                   boolean strictValidation)

### Method Detail

#### open

    @NotNull
    public @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage open​(@NotNull
                                                                            @NotNull File vaultPackage)
                                                                     throws IOException,
                                                                            ConverterException

Throws:
  `IOException`
  `ConverterException`

#### traverse

    public final void traverse​(@NotNull
                               @NotNull File vaultPackageFile,
                               boolean closeOnTraversed,
                               String runMode)
                        throws IOException,
                               ConverterException

Throws:
  `IOException`
  `ConverterException`

#### traverse

    public final void traverse​(@NotNull
                               @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage vaultPackage,
                               String runMode)
                        throws IOException,
                               ConverterException

Throws:
  `IOException`
  `ConverterException`

#### onDirectory

    protected void onDirectory​(@NotNull
                               @NotNull String path,
                               @NotNull
                               @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive,
                               @NotNull
                               @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry)
                        throws IOException,
                               ConverterException

Throws:
  `IOException`
  `ConverterException`

#### onFile

    protected void onFile​(@NotNull
                          @NotNull String path,
                          @NotNull
                          @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive,
                          @NotNull
                          @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry,
                          String runMode)
                   throws IOException,
                          ConverterException

Throws:
  `IOException`
  `ConverterException`

#### addCdnPattern

    protected void addCdnPattern​(@NotNull
                                 @NotNull Pattern cndPattern)